Eclipse Platform Release 3.7

## org.eclipse.debug.core.sourcelookup.containers
Class ZipEntryStorage

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.debug.core.sourcelookup.containers.ZipEntryStorage

All Implemented Interfaces:
  IStorage, IAdaptable

    public class ZipEntryStorage

extends PlatformObject
implements IStorage

Storage implementation for zip entries.

This class may be instantiated.

Since:
  3.0
See Also:
  `IStorage`
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`ZipEntryStorage(ZipFile archive, ZipEntry entry)` Constructs a new storage implementation for the given zip entry in the specified zip file

Method Summary
`boolean` `equals(Object object)`
`ZipFile` `getArchive()` Returns the archive containing the zip entry.
`InputStream` `getContents()` Returns an open input stream on the contents of this storage.
`IPath` `getFullPath()` Returns the full path of this storage.
`String` `getName()` Returns the name of this storage.
`ZipEntry` `getZipEntry()` Returns the entry that contains the source
`int` `hashCode()`
`boolean` `isReadOnly()` Returns whether this storage is read-only.

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ZipEntryStorage

    public ZipEntryStorage(ZipFile archive,
                           ZipEntry entry)

  Constructs a new storage implementation for the given zip entry in the specified zip file

  Parameters:
    `archive` - zip file
    `entry` - zip entry

Method Detail

### getContents

    public InputStream getContents()
                            throws CoreException

  Description copied from interface: `IStorage`
  Returns an open input stream on the contents of this storage. The caller is responsible for closing the stream when finished.

  Specified by:
    `getContents` in interface `IStorage`
  Returns:
    an input stream containing the contents of this storage
  Throws:
    `CoreException` - if the contents of this storage could not be accessed. See any refinements for more information.

### getFullPath

    public IPath getFullPath()

  Description copied from interface: `IStorage`
  Returns the full path of this storage. The returned value depends on the implementor/extender. A storage need not have a path.

  Specified by:
    `getFullPath` in interface `IStorage`
  Returns:
    the path related to the data represented by this storage or `null` if none.

### getName

    public String getName()

  Description copied from interface: `IStorage`
  Returns the name of this storage. The name of a storage is synonymous with the last segment of its full path though if the storage does not have a path, it may still have a name.

  Specified by:
    `getName` in interface `IStorage`
  Returns:
    the name of the data represented by this storage, or `null` if this storage has no name
  See Also:
    `IStorage.getFullPath()`

### isReadOnly

    public boolean isReadOnly()

  Description copied from interface: `IStorage`
  Returns whether this storage is read-only.

  Specified by:
    `isReadOnly` in interface `IStorage`
  Returns:
    `true` if this storage is read-only

### getArchive

    public ZipFile getArchive()

  Returns the archive containing the zip entry.

  Returns:
    zip file

### getZipEntry

    public ZipEntry getZipEntry()

  Returns the entry that contains the source

  Returns:
    zip entry

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.